#pragma once
#include <string>
#include "gui_widget.h"

namespace Gui {
  class ToolTip : public Widget {
  public:
    ToolTip(const char* text);
    ToolTip(std::string& text);
    virtual void Draw(void);
    virtual ~ToolTip(void) {}
    virtual void GetSizeRequested(float size[2]);
    void SetText(const char* text);
    void SetText(std::string& text);
  private:
    void CalcSize(void);
    std::string m_text;
    Uint32 m_createdTime;
  };
}

