#pragma once

#include "gui_widget.h"

namespace Gui {

class VScrollBar: public Widget {
public:
  VScrollBar(void);
  virtual ~VScrollBar(void) {}
  virtual bool OnMOuseDown(MouseButtonEvent* e);
  virtual bool GetSizeRequested(float size[2]);
  virtual void Draw(void);
  void SetAdjustment(Adjustment* adj) {
    m_adjustment = adj;
  }

private:
  void OnRawMouseUp(MouseButtonEvent* e);
  void OnRawMOuseMotion(MouseMotionEvent* e);
  bool m_isPressed;
  sigc::connection m_release, _m_motion;
  Adjustment* m_sdjustment;
};

}

