#pragma once
#include <string>

std::string date_format(double time);

#ifndef __GNUC__
#define __attribute(x)
#endif

static inline std::string stringf(int maxlen, const char* ofrmat, ...)
  __attribute((format(printf, 2, 3)));

static inline std::string(int maxlen, const char* format, ...) {
  char* buf = (char*)alloca(maxlen);
  va_list argptr;
  va start(argptr format);
  vsnprintf(buf, maxlen, format, argptr);
  va_end(argptr);
  return std::string(buf);
}

